/**************************************************************************
*  Copyright (c) 1997-1998 by Joseph Parrello. All Rights Reserved.       *
*  Sites  : http://www.geocities.com/SiliconValley/Hills/8145             *
*           http://users.iol.it/joparrello                                *
*  E-Mail : joparrello@geocities.com                                      *
*                                                                         *
*  Revision:   1.0a  (August 27, 1998).                                   *
*                                                                         *
*  Definition of JPControlGadget class.                                   *
*                                                                         *
*  Read JPCONTGA.TXT for use and license.                                 *
*                                                                         *
*  Only for OWL 5.02 and 5.01 users.                                      *
*  OWL and ObjectWindows are trademarks of Borland International.         *
*                                                                         *
*  THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF     *
*  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO    *
*  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A         *
*  PARTICULAR PURPOSE.                                                    *
**************************************************************************/
#if !defined(jpcontga_h)              // Sentry, use file only if it's not already included.
#define jpcontga_h

#if !defined(OWL_CONTROLG_H)
#include <owl/controlg.h>
#endif
#if !defined(OWL_TOOLTIP_H)
#include <owl/tooltip.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif
#if !defined(OWL_DECFRAME_H)
#include <owl/decframe.h>
#endif

//{{TControlGadget = JPControlGadget}}
class JPControlGadget : public TControlGadget {
  public:
    JPControlGadget(TWindow& control, TBorderStyle = None);
    virtual ~JPControlGadget();

  protected:
	 HWND           ChildHandle;
    bool				 IsCursorInControl;
    string         LoadInternalString(uint menuItemId);

//{{JPControlGadgetVIRTUAL_BEGIN}}
  protected:
    virtual bool IdleAction(long idleCount);
    virtual void Created();
//{{JPControlGadgetVIRTUAL_END}}
};    //{{JPControlGadget}}


#endif  // jpcontga_h sentry.

